#include <QGuiApplication>
#include <QQmlApplicationEngine>
#include <QQmlContext>

#include "JsonHandler.h"

int main(int argc, char *argv[]) {
  QGuiApplication app(argc, argv);

  QQmlApplicationEngine engine;
  const QUrl url(u"qrc:/modelExample/main.qml"_qs);
  QObject::connect(
      &engine, &QQmlApplicationEngine::objectCreated, &app,
      [url](QObject *obj, const QUrl &objUrl) {
        if (!obj && url == objUrl)
          QCoreApplication::exit(-1);
      },
      Qt::QueuedConnection);
  engine.load(url);
  JsonHandler m_jh;
  engine.rootContext()->setContextProperty("jsonHandler", &m_jh);

  return app.exec();
}
